MODULE YOMCPL

USE PARKIND1  ,ONLY : JPRB

IMPLICIT NONE

SAVE

!     -------------------------------------------------------
!**** *YOMCPL * - MODULE INCLUDING THE COUPLED FIELDS
!                  (OPA or SLAB)
!     AUTHOR.
!     -------
!        /CNRM/GMGEC/EAC/JPh Piedelievre 2000-11-30

!     MODIFICATIONS.
!     --------------
!        03-04-08 : /CNRM/GMGEC/EAC/JPh Piedelievre

!     -------------------------------------------------------

!*    Flux de couplage

! FCSTSU   STRESS SURFACE DE U                ; OPA, SLAB
! FCSTSV   STRESS SURFACE DE V                ; OPA, SLAB
! FCCHAS   FLUX CHALEUR SURFACE               ; OPA, SLAB
! FCRSOS   FLUX RAYT SOLAIRE SURFACE          ; OPA, SLAB
! FCHUMS   FLUX HUMIDITE SURFACE              ; OPA
! FCRUIS   RUISSELLEMENT TOTAL                ; OPA
! FCCHLL   FLUX CHALEUR LATENTE EAU LIQUIDE   ;      SLAB
! FCCHLN   FLUX CHALEUR LATENTE NEIGE         ;      SLAB
! FCCHSS   FLUX CHALEUR SENSIBLE              ; OPA, SLAB
! FCHUML   FLUX PRECIPITATIONS EAU LIQUIDE    ; OPA
! FCHUMN   FLUX PRECIPITATIONS NEIGE          ; OPA
! FCTSUR2  TEMPERATURE DE SURFACE             ; OPA
! FCTSTS   TSURF2*TSUR2                       ; OPA
! FCTSFL   TSUR2*FCHA                         ; OPA
! FCEVAP   FLUX D'EVAPORATION                 ;      TKE


REAL(KIND=JPRB),ALLOCATABLE:: FCSTSU(:)
REAL(KIND=JPRB),ALLOCATABLE:: FCSTSV(:)
REAL(KIND=JPRB),ALLOCATABLE:: FCCHAS(:,:)
REAL(KIND=JPRB),ALLOCATABLE:: FCRSOS(:,:)
REAL(KIND=JPRB),ALLOCATABLE:: FCHUMS(:,:)
REAL(KIND=JPRB),ALLOCATABLE:: FCRUIS(:)
REAL(KIND=JPRB),ALLOCATABLE:: FCCHLL(:,:)
REAL(KIND=JPRB),ALLOCATABLE:: FCCHLN(:,:)
REAL(KIND=JPRB),ALLOCATABLE:: FCCHSS(:,:)
REAL(KIND=JPRB),ALLOCATABLE:: FCHUML(:)
REAL(KIND=JPRB),ALLOCATABLE:: FCHUMN(:)
REAL(KIND=JPRB),ALLOCATABLE:: FCTSUR2(:)
REAL(KIND=JPRB),ALLOCATABLE:: FCTSTS(:)
REAL(KIND=JPRB),ALLOCATABLE:: FCTSFL(:)
REAL(KIND=JPRB),ALLOCATABLE:: FCEVAP(:,:) 

!     -----------------------------------------------------------------
END MODULE YOMCPL
